# Class CIM_PreambleMarkerService
extends CIM_MarkerService

PreambleMarkerService models the storing of traffic- conditioning results in a packet preamble. An instance appends a two-part string of the form '<type>,<value>' to the packet preamble. The concept of 'type's is discussed more fully in the Description of the class' FilterItemList property.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_MarkerService
|
+--CIM_PreambleMarkerService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PreambleMarkerService models the storing of traffic- conditioning results in a packet preamble. An instance appends a two-part string of the form '<type>,<value>' to the packet preamble. The concept of 'type's is discussed more fully in the Description of the class' FilterItemList property.
UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FilterItemList | string[] |
ArrayType | string | Ordered

Description

string

To foster interoperability, the basic format of the information captured by a PreambleMarker is specified. That information is contained in the FilterItemList property (an ordered, string array). Each entry in the array takes the form 'type,value'. When entries are added, they are appended to the end of the list. A limited set of standardized 'type's exist. They are: - ConformingFromMeter, NonConformingFromMeter and PartConformingFromMeter to convey metering results (where the 'value' is the name of the meter) - VlanId to describe the traffic's VLAN information (where the 'value' is the VLAN ID). An implementation is free to define and use other preamble 'types'. Note that a wildcard value of "any" is allowed to indicate that the preamble entry matches for any 'value' of the specified 'type'. For example, using the wildcard, an administrator can define a filter to select all packets that were found to be conforming ('type' = "ConformingFromMeter") without having to name each meter individually.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service